Create a Digital Asset Transfer
Perform a deposit or withdrawal of digital assets.
Authorization
authorization Set Your Secret API Key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Custody account number.
^[0-9]+$0 <= length <= 12Asset quantity, as a decimal string.
| Symbol | Maximum Precision | Minimum Quantity |
|---|---|---|
| BCH | 8 | - |
| BTC | 8 | - |
| DOT | 10 | 1.0 |
| ETH | 18 | - |
| ETHW | 18 | - |
| XRP | 6 | - |
| ADA | 6 | 1.0 |
| USDC | 6 | - |
For symbols without a minimum quantity, the minimum quantity is the smallest value according to the maximum precision.
0 <= valueAsset symbol.
Value in
- "BCH"
- "BTC"
- "DOT"
- "ETH"
- "ETHW"
- "XRP"
- "ADA"
- "USDC"
- "RLUSD"
- "SGBENJI"
A unique reference for this transfer.
^[a-zA-Z0-9]+$0 <= length <= 16Destination tag. For assetSymbol = XRP, set a valid destination tag; else the value defaults to "1".
^[a-zA-Z0-9\-]+$0 <= length <= 20Wallet address.
^[a-zA-Z0-9]+$0 <= length <= 128Wallet provider.
Value in
- "SELF_MANAGED"
- "BITGO"
- "BITSTAMP"
- "BITSTAMP_EU"
- "BITTIME"
- "COPPER"
- "CRYPTO_COM"
- "LUNO"
- "OSL"
- "QCP"
- "SPARROW"
- "UNITRUST"
- "UPBIT"
Custody account number.
^[0-9]+$0 <= length <= 12Asset quantity, as a decimal string.
| Symbol | Maximum Precision | Minimum Quantity |
|---|---|---|
| BCH | 8 | - |
| BTC | 8 | - |
| DOT | 10 | 1.0 |
| ETH | 18 | - |
| ETHW | 18 | - |
| XRP | 6 | - |
| ADA | 6 | 1.0 |
| USDC | 6 | - |
For symbols without a minimum quantity, the minimum quantity is the smallest value according to the maximum precision.
0 <= valueAsset symbol.
Value in
- "BCH"
- "BTC"
- "DOT"
- "ETH"
- "ETHW"
- "XRP"
- "ADA"
- "USDC"
- "RLUSD"
- "SGBENJI"
A unique reference for this transfer.
^[a-zA-Z0-9]+$0 <= length <= 16^[a-zA-Z0-9\-]+$0 <= length <= 36Ultimate receiver account number.
^[a-zA-Z0-9\-]+$0 <= length <= 36Ultimate receiver name.
^[a-zA-Z0-9 ]+$0 <= length <= 128Wallet address.
^[a-zA-Z0-9]+$0 <= length <= 128Wallet provider.
Value in
- "SELF_MANAGED"
- "BITGO"
- "BITSTAMP"
- "BITSTAMP_EU"
- "BITTIME"
- "COPPER"
- "CRYPTO_COM"
- "LUNO"
- "OSL"
- "QCP"
- "SPARROW"
- "UNITRUST"
- "UPBIT"
Response Body
*/*
application/json
application/json
curl -X POST "https://example.com/v1/digital-assets/transfer" \
-H "Content-Type: application/json" \
-d '{
"type": "string"
}'{
"accountNumber": "string",
"actualFee": "string",
"assetQuantity": "string",
"assetSymbol": "string",
"blockchainStatus": "string",
"customerReference": "string",
"destinationAddress": "string",
"destinationTag": "string",
"estimatedFee": "string",
"feeType": "string",
"originatorAddress": "string",
"settlementDate": "2019-08-24",
"status": "string",
"transactionHash": "string",
"type": "string",
"ultimateReceiverAccountNumber": "string",
"ultimateReceiverName": "string",
"walletAddress": "string",
"walletProvider": "string"
}